package it.politecnico.mapper.refrisoprop;

import it.politecnico.model.refrisoprop.RefrIsoproperties;
import it.politecnico.model.refrisoprop.RefrIsopropertiesExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RefrIsopropertiesMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    int countByExample(RefrIsopropertiesExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    int deleteByExample(RefrIsopropertiesExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    int insert(RefrIsoproperties record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    int insertSelective(RefrIsoproperties record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    List<RefrIsoproperties> selectByExample(RefrIsopropertiesExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") RefrIsoproperties record, @Param("example") RefrIsopropertiesExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") RefrIsoproperties record, @Param("example") RefrIsopropertiesExample example);
}